Author Topic: 5.4.8..plus?  (Read 6421 times)

adf

  • Hero Member
  • *****
  • Posts: 2807
    • View Profile
    • http://
5.4.8..plus?
« on: August 13, 2007, 10:08:36 pm »
I did an "ipkg upgrade" on kakazov's feed from a fairly clean install of 5.4.8. A lot of libs and packages got upgraded, though I had to do 15-20 manually because ipkg thinks x.2.3 is a higher version than x.12.4.
The good news is that besides having to manually relink libbluetooth and manually installing thosepackages, it all seems to work!

Your mileage might vary, of course, but making use of kakazov's (substantial) beta3 work in pdaxii13 seems to me like a good idea.
« Last Edit: August 13, 2007, 10:10:57 pm by adf »
**3100 Zubuntu Jaunty,(working on Cacko dualboot), 16G A-Data internal CF, 4G SD, Ambicom WL-1100C Cf, linksys usb ethernet,  BelkinF8T020 BT card, Belkin F8U1500-E Ir kbd, mini targus usb mouse, rechargeble AC/DC powered USB hub, psp cables and battery extenders.

**6000l  Tetsuized Sharprom, installed on internal flash only 1G sd, 2G cf

Meanie

  • Hero Member
  • *****
  • Posts: 2803
    • View Profile
    • http://www.users.on.net/~hluc/myZaurus/
5.4.8..plus?
« Reply #1 on: August 23, 2007, 07:36:39 pm »
Quote
I did an "ipkg upgrade" on kakazov's feed from a fairly clean install of 5.4.8. A lot of libs and packages got upgraded, though I had to do 15-20 manually because ipkg thinks x.2.3 is a higher version than x.12.4.
The good news is that besides having to manually relink libbluetooth and manually installing thosepackages, it all seems to work!

Your mileage might vary, of course, but making use of kakazov's (substantial) beta3 work in pdaxii13 seems to me like a good idea.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=166194\"][{POST_SNAPBACK}][/a][/div]


I hacked ipkg in 5.4.9 so it should in theory upgrade fine now as in it will know that 1.10 is newer than 1.2 for example...

my plan is to upgrade all the libs in pdaXii13 build 5.5 using kakazov's feed but that will take a while with all the testing required....

if anyone wants to share their upgrade experience and lessons learned, it could potentially speed up the move to 5.5
SL-C3000 - pdaXii13 build5.4.9 (based on pdaXrom beta3) / SL-C3100 - Sharp ROM 1.02 JP (heavily customised)
Netgear MA701 CF, SanDisk ConnectPlus CF, Socket Bluetooth CF, 4GB Kingston CF,  4GB pqi SD, 4GB ChoiceOnly SD, 2GB SanDisk SD USB Plus, 1GB SanDisk USB Plus, 1GB Transcend SD, 2GB SanDisk MicroSD with SD adaptor, Piel Frama Leather Case, GoldX 5-in-1 USB cable, USB hub, USB mouse, USB keyboard, USB ethernet, USB HDD, many other USB accessories...
(Zaurus SL-C3000 owner since March 14. 2005, Zaurus SL-C3100 owner since September 21. 2005)
http://members.iinet.net.au/~wyso/myZaurus - zBook3K

adf

  • Hero Member
  • *****
  • Posts: 2807
    • View Profile
    • http://
5.4.8..plus?
« Reply #2 on: August 24, 2007, 12:53:09 am »
gpe-calendar fails with a libsqlite error--can't find libsqlite3.so.0..etc.  I optimistically relinked to libsqlite-2.8...   now I have a relocation error on libeventdb.
I'm sure it is not too horrible to sort out, and the "Dates" calander from pimlico works. I thought you should know, though.

Is the new ipkg in the feed at tyrannozaurus?  given my current setup, I think I'd be better off waiting to upgrade to pdaxii13 5.5,  but I would like to get a less dumb ipkg installed asap.

Again, thanks for all the quality work--the Z is an amazing machine these days
**3100 Zubuntu Jaunty,(working on Cacko dualboot), 16G A-Data internal CF, 4G SD, Ambicom WL-1100C Cf, linksys usb ethernet,  BelkinF8T020 BT card, Belkin F8U1500-E Ir kbd, mini targus usb mouse, rechargeble AC/DC powered USB hub, psp cables and battery extenders.

**6000l  Tetsuized Sharprom, installed on internal flash only 1G sd, 2G cf

Meanie

  • Hero Member
  • *****
  • Posts: 2803
    • View Profile
    • http://www.users.on.net/~hluc/myZaurus/
5.4.8..plus?
« Reply #3 on: August 24, 2007, 01:07:33 am »
Quote
gpe-calendar fails with a libsqlite error--can't find libsqlite3.so.0..etc.  I optimistically relinked to libsqlite-2.8...   now I have a relocation error on libeventdb.
I'm sure it is not too horrible to sort out, and the "Dates" calander from pimlico works. I thought you should know, though.

Is the new ipkg in the feed at tyrannozaurus?  given my current setup, I think I'd be better off waiting to upgrade to pdaxii13 5.5,  but I would like to get a less dumb ipkg installed asap.

Again, thanks for all the quality work--the Z is an amazing machine these days
[div align=\"right\"][a href=\"index.php?act=findpost&pid=166639\"][{POST_SNAPBACK}][/a][/div]

thanks for the info. i am planning of dropping all the current PIM apps that are in pdaXii13 as I myself have moved to the pimlico suit anyway, so support for gpe stuff under pdaXii13 is discontinued....

the new ipkg is in the pdaXii13-custom.tgz file. i should update the ipkg package. thanks for reminding me.
SL-C3000 - pdaXii13 build5.4.9 (based on pdaXrom beta3) / SL-C3100 - Sharp ROM 1.02 JP (heavily customised)
Netgear MA701 CF, SanDisk ConnectPlus CF, Socket Bluetooth CF, 4GB Kingston CF,  4GB pqi SD, 4GB ChoiceOnly SD, 2GB SanDisk SD USB Plus, 1GB SanDisk USB Plus, 1GB Transcend SD, 2GB SanDisk MicroSD with SD adaptor, Piel Frama Leather Case, GoldX 5-in-1 USB cable, USB hub, USB mouse, USB keyboard, USB ethernet, USB HDD, many other USB accessories...
(Zaurus SL-C3000 owner since March 14. 2005, Zaurus SL-C3100 owner since September 21. 2005)
http://members.iinet.net.au/~wyso/myZaurus - zBook3K

kkazakov13

  • Sr. Member
  • ****
  • Posts: 408
    • View Profile
5.4.8..plus?
« Reply #4 on: August 24, 2007, 03:36:31 am »
All is great ... but how you do synchronize from / to pimlico ?

I want to move to pimlico suite ... but all my contacts and everything else is in my phone ( which i sync to remote SyncML server )
SL-C3200 ** FOR SALE :( **
https://www.oesf.org/forum/index.php?showtopic=25969

Canon K30225 CF wireless card
Taxan iTax-LAN10 wired card
My packages for customized pdaXrom beta 3

adf

  • Hero Member
  • *****
  • Posts: 2807
    • View Profile
    • http://
5.4.8..plus?
« Reply #5 on: August 24, 2007, 11:23:32 pm »
Quote
All is great ... but how you do synchronize from / to pimlico ?

I want to move to pimlico suite ... but all my contacts and everything else is in my phone ( which i sync to remote SyncML server )
[div align=\"right\"][a href=\"index.php?act=findpost&pid=166645\"][{POST_SNAPBACK}][/a][/div]
I haven't even tried to sync it  
I'd love to get it working with my phone, though
**3100 Zubuntu Jaunty,(working on Cacko dualboot), 16G A-Data internal CF, 4G SD, Ambicom WL-1100C Cf, linksys usb ethernet,  BelkinF8T020 BT card, Belkin F8U1500-E Ir kbd, mini targus usb mouse, rechargeble AC/DC powered USB hub, psp cables and battery extenders.

**6000l  Tetsuized Sharprom, installed on internal flash only 1G sd, 2G cf

scheck.r

  • Sr. Member
  • ****
  • Posts: 320
    • View Profile
    • http://
5.4.8..plus?
« Reply #6 on: August 26, 2007, 07:25:52 pm »
Hi,

Thanks Meanie for tackling ipkg's bug. However, I have just done a fresh install of Pdaxii13 build5.4.9 followed by ipkg update followed by ipkg upgrade and there remains the same problem, ipkg won't upgrade gtk2 from 2.6.2 to 2.10.12 for example or leafpad from 0.8.9 to 0.8.11 or openobex from 1.0.1 to 1.3 or galculator from 1.2.5 to 1.2.5.2 to name a few.
SL-C1000 from PriceJapan(cheap and very fast shipping) with EA-70 power adapter, iRiver USB Host cable, PDAIR case, pentopia stylus, ultra clear screen-protector from shop.brando.com.hk only $3 for shipping worldwide
4GB Hitachi Microdrive, 1GB Kingston Elite Pro CF, 4GB Transcend 150x SD, Symbol Spectrum 4137 CF WiFi(low power)
PdaXrom pdaxii13 5.4.9 updated with Kkazakov13's feed. I owned a SL-6000L before

adf

  • Hero Member
  • *****
  • Posts: 2807
    • View Profile
    • http://
5.4.8..plus?
« Reply #7 on: August 26, 2007, 09:32:52 pm »
Quote
Hi,

Thanks Meanie for tackling ipkg's bug. However, I have just done a fresh install of Pdaxii13 build5.4.9 followed by ipkg update followed by ipkg upgrade and there remains the same problem, ipkg won't upgrade gtk2 from 2.6.2 to 2.10.12 for example or leafpad from 0.8.9 to 0.8.11 or openobex from 1.0.1 to 1.3 or galculator from 1.2.5 to 1.2.5.2 to name a few.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=166732\"][{POST_SNAPBACK}][/a][/div]
..nd if this gets fixed- would it be too much trouble to pop it into the feed t tyrannozaurus?  or even post a tarball there (I hate the OESF attachment bug)?
**3100 Zubuntu Jaunty,(working on Cacko dualboot), 16G A-Data internal CF, 4G SD, Ambicom WL-1100C Cf, linksys usb ethernet,  BelkinF8T020 BT card, Belkin F8U1500-E Ir kbd, mini targus usb mouse, rechargeble AC/DC powered USB hub, psp cables and battery extenders.

**6000l  Tetsuized Sharprom, installed on internal flash only 1G sd, 2G cf

Meanie

  • Hero Member
  • *****
  • Posts: 2803
    • View Profile
    • http://www.users.on.net/~hluc/myZaurus/
5.4.8..plus?
« Reply #8 on: August 29, 2007, 02:59:59 am »
Quote
Hi,

Thanks Meanie for tackling ipkg's bug. However, I have just done a fresh install of Pdaxii13 build5.4.9 followed by ipkg update followed by ipkg upgrade and there remains the same problem, ipkg won't upgrade gtk2 from 2.6.2 to 2.10.12 for example or leafpad from 0.8.9 to 0.8.11 or openobex from 1.0.1 to 1.3 or galculator from 1.2.5 to 1.2.5.2 to name a few.
[div align=\"right\"][{POST_SNAPBACK}][/a][/div]

oops, found the problem and fixed it.

ipkg is contained in the embedix-utils package and i uploaded an updated package containing the new ipkg.
however, i dont know what will happen if you try to upgrade to the latest version since an upgrade basically is a remove of the old package and an install of the newer package. not sure what ipkg will do if it has to remove itself in order to install itself. you probably just want to unzip ipkg from the zip file and replace the original one rather than trying ipkg upgrade on itself.
for those curious enough to try, here is a link to the updated package:
[a href=\"http://www.tyrannozaurus.com/feed/beta3/custom/embedix-utils_1.1.0-2_armv5tel.ipk]http://www.tyrannozaurus.com/feed/beta3/cu...-2_armv5tel.ipk[/url]
« Last Edit: August 29, 2007, 03:06:37 am by Meanie »
SL-C3000 - pdaXii13 build5.4.9 (based on pdaXrom beta3) / SL-C3100 - Sharp ROM 1.02 JP (heavily customised)
Netgear MA701 CF, SanDisk ConnectPlus CF, Socket Bluetooth CF, 4GB Kingston CF,  4GB pqi SD, 4GB ChoiceOnly SD, 2GB SanDisk SD USB Plus, 1GB SanDisk USB Plus, 1GB Transcend SD, 2GB SanDisk MicroSD with SD adaptor, Piel Frama Leather Case, GoldX 5-in-1 USB cable, USB hub, USB mouse, USB keyboard, USB ethernet, USB HDD, many other USB accessories...
(Zaurus SL-C3000 owner since March 14. 2005, Zaurus SL-C3100 owner since September 21. 2005)
http://members.iinet.net.au/~wyso/myZaurus - zBook3K

scheck.r

  • Sr. Member
  • ****
  • Posts: 320
    • View Profile
    • http://
5.4.8..plus?
« Reply #9 on: August 29, 2007, 06:02:22 am »
Upgrading right now, the upgrade process seems to go well, thanks Meanie.
SL-C1000 from PriceJapan(cheap and very fast shipping) with EA-70 power adapter, iRiver USB Host cable, PDAIR case, pentopia stylus, ultra clear screen-protector from shop.brando.com.hk only $3 for shipping worldwide
4GB Hitachi Microdrive, 1GB Kingston Elite Pro CF, 4GB Transcend 150x SD, Symbol Spectrum 4137 CF WiFi(low power)
PdaXrom pdaxii13 5.4.9 updated with Kkazakov13's feed. I owned a SL-6000L before

scheck.r

  • Sr. Member
  • ****
  • Posts: 320
    • View Profile
    • http://
5.4.8..plus?
« Reply #10 on: August 29, 2007, 11:18:31 am »
After further investigations ...
- ipkg update, upgrade with full ipkg.conf from build5.4.9, ipkg only upgrades using Meanie's feed and not Kazakov's one.
- update, upgrade with only Kazakov's feed works.
- abiword 2.4.6 from Kazakov's feed installs in addition to abiword 2.4.4 because AbiWord vs Abiword in /usr/bin
- after upgrade: no more window saying "You can safely remove the device now",
so some matchbox packages are updated but loosing Meanie's customizations.
- in package manager(qpkg): if 2 different versions of the same package name are available, only the first in alphabetical order will be installed, same with dependencies so it installs the lowest version each time and not the newest wanted.
- xournal 0.4 from Kazakov's feed: need to symlink to /usr/local for the app to find icons
- If I try "ipkg install xournal", it installs xournal 0.3.2 and not 0.4 which is annoying
The only way I found is to download the wanted pakages on my CF card and install them locally.

So I prefer not messing with Kazakov's feed, you need to know exactly what you do, what  to upgrade, what not to upgrade if you want to keep Meanie's customizations(abiword, xpdf, gtk2, rox , matchbox, ...)

May be we should:
- incorporate selected essential packages from Kazakov's feed and put them in Meanie's feed but that needs a lot of testing(dbus, gtk2, ...). By the way, what do they bring to the table for a user perspective ? (fix bugs ?, new features ?, faster ?)
- port Meanie's customizations to the newest packages
- fix ipkg and qpkg to install the selected package and not another version


I don't know much about package management, that's just a brief test

Thanks
SL-C1000 from PriceJapan(cheap and very fast shipping) with EA-70 power adapter, iRiver USB Host cable, PDAIR case, pentopia stylus, ultra clear screen-protector from shop.brando.com.hk only $3 for shipping worldwide
4GB Hitachi Microdrive, 1GB Kingston Elite Pro CF, 4GB Transcend 150x SD, Symbol Spectrum 4137 CF WiFi(low power)
PdaXrom pdaxii13 5.4.9 updated with Kkazakov13's feed. I owned a SL-6000L before

Meanie

  • Hero Member
  • *****
  • Posts: 2803
    • View Profile
    • http://www.users.on.net/~hluc/myZaurus/
5.4.8..plus?
« Reply #11 on: August 29, 2007, 07:54:51 pm »
Quote
After further investigations ...
- ipkg update, upgrade with full ipkg.conf from build5.4.9, ipkg only upgrades using Meanie's feed and not Kazakov's one.
- update, upgrade with only Kazakov's feed works.
- abiword 2.4.6 from Kazakov's feed installs in addition to abiword 2.4.4 because AbiWord vs Abiword in /usr/bin
- after upgrade: no more window saying "You can safely remove the device now",
so some matchbox packages are updated but loosing Meanie's customizations.
- in package manager(qpkg): if 2 different versions of the same package name are available, only the first in alphabetical order will be installed, same with dependencies so it installs the lowest version each time and not the newest wanted.
- xournal 0.4 from Kazakov's feed: need to symlink to /usr/local for the app to find icons
- If I try "ipkg install xournal", it installs xournal 0.3.2 and not 0.4 which is annoying
The only way I found is to download the wanted pakages on my CF card and install them locally.

So I prefer not messing with Kazakov's feed, you need to know exactly what you do, what  to upgrade, what not to upgrade if you want to keep Meanie's customizations(abiword, xpdf, gtk2, rox , matchbox, ...)

May be we should:
- incorporate selected essential packages from Kazakov's feed and put them in Meanie's feed but that needs a lot of testing(dbus, gtk2, ...). By the way, what do they bring to the table for a user perspective ? (fix bugs ?, new features ?, faster ?)
- port Meanie's customizations to the newest packages
- fix ipkg and qpkg to install the selected package and not another version


I don't know much about package management, that's just a brief test

Thanks
[div align=\"right\"][a href=\"index.php?act=findpost&pid=166798\"][{POST_SNAPBACK}][/a][/div]

thanks for the feedback.

in order to upgrade from kazakov's feed, you need to make sure it is the first line in /etc/ipkg.conf
the order of the feeds in ipkg.conf is important. the first one has highest priority and the last one the least.

upgrading to the latest packages will give you newer packages which have newer features/bug fixes made by other people, but you do loose some of the hacks that I added. some of the updated packages do have my patches already whereas others don't. that's why 5.5 is going to take a while because I will need to find all the apps that are updated without my patches and add them back in. it is just a matter of going through all of them and identifying the ones that don't and update those which of course reports like yours will help me identify them quicker.

i only "fixed" ipkg, but have not touched qpkg so the "bug" still exist in qpkg.

xournal 0.4 does not get detected because the Packages file in kazakov's feed is missing the xournal entry so ipkg will only find the older xournal version. what I did was to copy all the packages from his feed to a SD card and regenerate the Packages file using ipkg-make-index and then updating ipkg.conf to point at my local feed.
« Last Edit: August 29, 2007, 07:59:45 pm by Meanie »
SL-C3000 - pdaXii13 build5.4.9 (based on pdaXrom beta3) / SL-C3100 - Sharp ROM 1.02 JP (heavily customised)
Netgear MA701 CF, SanDisk ConnectPlus CF, Socket Bluetooth CF, 4GB Kingston CF,  4GB pqi SD, 4GB ChoiceOnly SD, 2GB SanDisk SD USB Plus, 1GB SanDisk USB Plus, 1GB Transcend SD, 2GB SanDisk MicroSD with SD adaptor, Piel Frama Leather Case, GoldX 5-in-1 USB cable, USB hub, USB mouse, USB keyboard, USB ethernet, USB HDD, many other USB accessories...
(Zaurus SL-C3000 owner since March 14. 2005, Zaurus SL-C3100 owner since September 21. 2005)
http://members.iinet.net.au/~wyso/myZaurus - zBook3K

scheck.r

  • Sr. Member
  • ****
  • Posts: 320
    • View Profile
    • http://
5.4.8..plus?
« Reply #12 on: August 29, 2007, 08:47:10 pm »
Quote
the order of the feeds in ipkg.conf is important. the first one has highest priority and the last one the least.
That's interesting, so one should put the newest feed(say custom or Kazakov or Capnfish) first in ipkg.conf.
Quote
xournal 0.4 does not get detected because the Packages file in kazakov's feed is missing the xournal entry so ipkg will only find the older xournal version.
I had a look a the Packages file in kazakov's feed, there IS an entry for xournal 0.4, so I think it is the same problem as before, the old package was installed because kazakov's feed was not listed first in ipkg.conf.
Quote
i only "fixed" ipkg, but have not touched qpkg so the "bug" still exist in qpkg.
Ah...I thought qpkg was just a front-end to ipkg
Quote
what I did was to copy all the packages from his feed to a SD card and regenerate the Packages file using ipkg-make-index and then updating ipkg.conf to point at my local feed.
I knew that by reading your excellent web site. However each time a new package appears you need to do the process again and I didn't want to download the whole feed in order to save bandwidth.
Quote
that's why 5.5 is going to take a while because I will need to find all the apps that are updated without my patches and add them back in. it is just a matter of going through all of them and identifying the ones that don't and update those which of course reports like yours will help me identify them quicker.
I realize now how much work it is ....
SL-C1000 from PriceJapan(cheap and very fast shipping) with EA-70 power adapter, iRiver USB Host cable, PDAIR case, pentopia stylus, ultra clear screen-protector from shop.brando.com.hk only $3 for shipping worldwide
4GB Hitachi Microdrive, 1GB Kingston Elite Pro CF, 4GB Transcend 150x SD, Symbol Spectrum 4137 CF WiFi(low power)
PdaXrom pdaxii13 5.4.9 updated with Kkazakov13's feed. I owned a SL-6000L before

adf

  • Hero Member
  • *****
  • Posts: 2807
    • View Profile
    • http://
5.4.8..plus?
« Reply #13 on: August 30, 2007, 12:24:38 am »
I had actually backed up my ipjkg.conf, made a new on with only K's feed and upgraded--then restored the old conf nd added the drun entry. Putting it at the top is defintiely a better idea.
**3100 Zubuntu Jaunty,(working on Cacko dualboot), 16G A-Data internal CF, 4G SD, Ambicom WL-1100C Cf, linksys usb ethernet,  BelkinF8T020 BT card, Belkin F8U1500-E Ir kbd, mini targus usb mouse, rechargeble AC/DC powered USB hub, psp cables and battery extenders.

**6000l  Tetsuized Sharprom, installed on internal flash only 1G sd, 2G cf

scheck.r

  • Sr. Member
  • ****
  • Posts: 320
    • View Profile
    • http://
5.4.8..plus?
« Reply #14 on: August 31, 2007, 06:25:14 pm »
Apparently, fixing ipkg fixes also qpkg.
By the way we can see in the log file of qpkg that it uses ipkg
SL-C1000 from PriceJapan(cheap and very fast shipping) with EA-70 power adapter, iRiver USB Host cable, PDAIR case, pentopia stylus, ultra clear screen-protector from shop.brando.com.hk only $3 for shipping worldwide
4GB Hitachi Microdrive, 1GB Kingston Elite Pro CF, 4GB Transcend 150x SD, Symbol Spectrum 4137 CF WiFi(low power)
PdaXrom pdaxii13 5.4.9 updated with Kkazakov13's feed. I owned a SL-6000L before